Plugin Add
Add a plugin to the instance. This will not install or activate the plugin immediately. It will validate and prepare the plugin for install. Plugins can be uploaded directly as files or via a URL to a repository.
/pluginsAdd a plugin to the instance. This will not install or activate the plugin immediately. It will validate and prepare the plugin for install.
Plugins can be uploaded directly as files or via a URL to a repository.
In: cookie
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/plugins" \ -H "Content-Type: application/json" \ -d '{ "mode": "supervised", "url": "http://example.com" }'{
"id": "cc5lnd2s1s4652adtu50",
"added_at": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"version": "string",
"status": {
"active_state": "inactive",
"deactivated_at": "2019-08-24T14:15:22Z"
},
"manifest": {},
"connection": {
"mode": "supervised"
}
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}O Auth Remote Discover POST
Discover OAuth configuration for a remote protected resource URL. Storyden fetches protected resource metadata, follows the advertised authorization server, and chooses CIMD, DCR, or manual setup according to the discovered authorization server metadata.
Plugin Cycle Token POST
Cycles the static bearer token for an external plugin and returns the newly generated token. This operation is only valid for external plugins. Supervised plugins cycle their connection token automatically.